#661 Compilation error on OSX (rev. 3585)

None
closed
nobody
None
1
2014-04-24
2012-12-16
spieb
No

Hi,
I just tried to compile a new version of TeXstudio on OSX (rev. 3585, Qt4.8.2). However the build exits with an error:

In file included from debughelper.cpp:1020:
/usr/include/sys/ptrace.h:94: error: ‘caddr_t’ has not been declared
debughelper.cpp: In function ‘int gdb_check()’:
debughelper.cpp:1038: error: ‘PTRACE_ATTACH’ was not declared in this scope
debughelper.cpp:1042: error: ‘PTRACE_CONT’ was not declared in this scope
debughelper.cpp:1045: error: ‘PTRACE_DETACH’ was not declared in this scope
make: *** [.obj/debughelper.o] Error 1

Greetings,
spieb

Related

Bugs: #661

Discussion

  • Robert

    Robert - 2012-12-16

    Hi. I also experience a an error when I compile a debug version (there are no problems with a release version though):

    cc1plus: error: .obj/texstudio: No such file or directory
    cc1plus: error: one or more PCH files were found, but they were invalid
    cc1plus: error: use -Winvalid-pch for more information
    make: *** [.obj/testmanager.o] Error 1

     
  • Jan  Sundermeyer

    Jan Sundermeyer - 2012-12-16

    this calls for a "make clean" before a make.

    On 16.12.2012 22:47, Robert wrote:

    Hi. I also experience a an error when I compile a debug version (there
    are no problems with a release version though):

    cc1plus: error: .obj/texstudio: No such file or directory
    cc1plus: error: one or more PCH files were found, but they were invalid
    cc1plus: error: use -Winvalid-pch for more information
    make: *** [.obj/testmanager.o]
    http://sourceforge.net/.obj/testmanager.o Error 1


    [bugs:#661] http://sourceforge.net/p/texstudio/bugs/661/
    Compilation error on OSX (rev. 3585)

    Status: open
    Created: Sun Dec 16, 2012 01:16 PM UTC by spieb
    Last Updated: Sun Dec 16, 2012 01:16 PM UTC
    Owner: nobody

    Hi,
    I just tried to compile a new version of TeXstudio on OSX (rev. 3585,
    Qt4.8.2). However the build exits with an error:

    In file included from debughelper.cpp:1020:
    /usr/include/sys/ptrace.h:94: error: ‘caddr_t’ has not been declared
    debughelper.cpp: In function ‘int gdb_check()’:
    debughelper.cpp:1038: error: ‘PTRACE_ATTACH’ was not declared in this
    scope
    debughelper.cpp:1042: error: ‘PTRACE_CONT’ was not declared in this scope
    debughelper.cpp:1045: error: ‘PTRACE_DETACH’ was not declared in this
    scope
    make: *** [.obj/debughelper.o]
    http://sourceforge.net/.obj/debughelper.o Error 1

    Greetings,
    spieb


    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/texstudio/bugs/661/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/prefs/

     

    Related

    Bugs: #661

  • Robert

    Robert - 2012-12-16

    Hi Jan. After I went for a make clean, I obtained the same error Chris received:

    In file included from debughelper.cpp:1020:
    /usr/include/sys/ptrace.h:94: error: ‘caddr_t’ has not been declared
    debughelper.cpp: In function ‘int gdb_check()’:
    debughelper.cpp:1038: error: ‘PTRACE_ATTACH’ was not declared in this scope
    debughelper.cpp:1042: error: ‘PTRACE_CONT’ was not declared in this scope
    debughelper.cpp:1045: error: ‘PTRACE_DETACH’ was not declared in this scope
    make: *** [.obj/debughelper.o] Error 1
    Compilation and installation done

     
  • Benito van der Zander

    Do you have an header file that contains caddr_t or PTRACE_ATTACH
    somewhere in /usr/include/sys or /usr/include/?

     
  • Robert

    Robert - 2012-12-19

    Hi Benito. When I search for PTRACE_ATTACH only debugger.cpp comes up. When I search for caddr_t, I get:
    buf.h
    conf.h
    if_dl.h
    if.h
    in_pcb.h
    in6_var.h
    IOBDMediaBSDClient.h
    IOCDMediaBSDClient.h
    IODVDMediaBSDClient.h
    IOMediaBSDClient.h
    kpi_mbuf.h
    lockf.h
    mount.h
    OpenTransportProtocol.h
    pfkeyv2.h
    proc.h
    socketvar.h
    types.h
    vm.h
    vnode_if.h
    vnode.h
    Xos.h
    Xtrans.h
    Xtranslcl.c
    Xw32defs.h

     
  • Benito van der Zander

    Well, I just disabled it for mac, it only matters if you want to
    debug txs, anyways

     
  • Tim Hoffmann

    Tim Hoffmann - 2013-01-06

    What is the state here? Can this be closed?

     
  • spieb

    spieb - 2013-01-06

    Hi, i just tried to compile again, this is the new error:

    utilsSystem.cpp:14: warning: unused parameter ‘path’
    utilsSystem.cpp:14: warning: unused parameter ‘freeBytes’
    utilsSystem.cpp: In function ‘QStringList findResourceFiles(const QString&, const QString&, QStringList)’:
    utilsSystem.cpp:72: error: ‘CFURLRef’ was not declared in this scope
    utilsSystem.cpp:72: error: expected ;' before ‘appUrlRef’ utilsSystem.cpp:73: error: ‘CFStringRef’ was not declared in this scope utilsSystem.cpp:73: error: expected;' before ‘macPath’
    utilsSystem.cpp:75: error: ‘macPath’ was not declared in this scope
    utilsSystem.cpp:76: error: ‘CFStringGetSystemEncoding’ was not declared in this scope
    utilsSystem.cpp:76: error: ‘CFStringGetCStringPtr’ was not declared in this scope
    utilsSystem.cpp:78: error: ‘appUrlRef’ was not declared in this scope
    utilsSystem.cpp:78: error: ‘CFRelease’ was not declared in this scope
    make: *** [.obj/utilsSystem.o] Error 1
    Compilation and installation done

     
  • Tim Hoffmann

    Tim Hoffmann - 2013-01-06

    Please try again with rev. 6359

     
  • Robert

    Robert - 2013-01-06

    This one compiles!

     
  • spieb

    spieb - 2013-01-13

    Yep, works perfectly

     
  • Tim Hoffmann

    Tim Hoffmann - 2013-01-14
    • status: open --> closed
    • milestone: -->
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks